package com.safeway.pricing.safeway.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Document(collection = "Item Details")
public class ItemDetails {
    @Id
    private String itemId;
    private String department;
    private String category;
    private String subCategory;
    private double currentPrice;
    private SaleDetails saleDetails;
}
