package com.safeway.pricing.safeway.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Document(collection = "Price Area")
public class PriceArea {
   @Id
   private String priceAreaId;
   private DivisionDetails divisionDetails;
   private double price;
   @DBRef
   private List<String> storeGroupId;
}
