package com.safeway.pricing.safeway.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Document(collection = "Store Group")
public class StoreGroup {
    @Id
    private String storeGroupId;
    private List<StoreDetails> storeDetailsList;
}
